POST /api/fleet/enrollment_api_keys

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/enrollment_api_keys

Refer to Spaces for more information.

Create an enrollment API key for a given agent policy.

[Required authorization] Route required privileges: fleet-agents-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • expiration string
  • name string
  • policy_id string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • action string Required

      Value is created.

    • item object Required

      Additional properties are NOT allowed.

      Hide item attributes Show item attributes object
      • active boolean Required

        When false, the enrollment API key is revoked and cannot be used for enrolling Elastic Agents.

      • api_key string Required

        The enrollment API key (token) used for enrolling Elastic Agents.

      • api_key_id string Required

        The ID of the API key in the Security API.

      • created_at string Required
      • hidden boolean
      • id string Required
      • name string

        The name of the enrollment API key.

      • policy_id string

        The ID of the agent policy the Elastic Agent will be enrolled in.

  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/enrollment_api_keys
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/enrollment_api_keys' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"expiration":"2025-01-01T00:00:00.000Z","name":"My enrollment key","policy_id":"policy-id-1"}'
Request example
Create an enrollment API key for an agent policy
{
  "expiration": "2025-01-01T00:00:00.000Z",
  "name": "My enrollment key",
  "policy_id": "policy-id-1"
}
Response examples (200)
The created enrollment API key
{
  "action": "created",
  "item": {
    "active": true,
    "api_key": "api-key-value-1",
    "api_key_id": "api-key-id-1",
    "created_at": "2024-01-01T00:00:00.000Z",
    "id": "key-id-1",
    "name": "My enrollment key",
    "policy_id": "policy-id-1"
  }
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}